#!/usr/bin/env python

"A simple application for test purposes."

import WebStack.Generic

class SimpleResource:

    "A simple resource."

    def respond(self, trans):
        trans.set_content_type(WebStack.Generic.ContentType("text/html"))

        # Get some information.

        out = trans.get_response_stream()
        out.write("""
<html>
  <body>
    <h1>Test</h1>
    <ul>
      <li>Path: %s</li>
      <li>Path info: %s</li>
      <li>Request method: %s</li>
      <li>Content type: %s</li>
      <li>Charset: %s</li>
    </ul>
  </body>
</html>
""" % (
    trans.get_path(),
    trans.get_path_info(),
    trans.get_request_method(),
    trans.get_content_type().content_type,
    trans.get_content_type().charset,
))

# vim: tabstop=4 expandtab shiftwidth=4
